This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 463649 - [LTC 6.0 FEAT] 201292:Sync up the eHEA driver with the latest mainline kernel.
[LTC 6.0 FEAT] 201292:Sync up the eHEA driver with the latest mainline kernel.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
ppc64 All
high Severity high
: alpha
: 6.0
Assigned To: Kevin W Monroe
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741 RHEL6Kernel2.6.27
  Show dependency treegraph
 
Reported: 2008-09-24 01:01 EDT by IBM Bug Proxy
Modified: 2009-09-23 18:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 18:18:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 01:01:00 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:11 EDT
1. Feature Overview:
Feature Id:	[201292]
a. Name of Feature:	Sync up the eHEA driver with the latest mainline kernel.
b. Feature Description
Update the eHEA driver with enhancements and bug fixes. The main capability expected to be
enabled/supported by this update is the DLPAR Memory Remove capability out of the driver.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Device Drivers and IO
Request Type:	Driver - Update Version
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.26 or 2.6.27

3. Business Case
eHEA is the device driver for the Integrated 1/10Gb Ethernet on each and every i/p6 Server. It is
essential to maintain the support of this device with the latest and the greatest open source code
upstreams.

Benefits
To enable/support the DLPAR Memory Remove capability with the kernel. To pick up other bug fixes.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
Daisy Chang, daisyc@us.ibm.com
Jan-Bernd Themann, themann@de.ibm.com

IBM Manager:
Wendel Voigt, wvoigt@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 16:57:06 EDT
RHEL 6 will be branched from a mainline kernel, so there should be no syncing required.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 John Jarvis 2008-10-13 17:15:21 EDT
Am I correct in thinking that if we take this driver update it will also satisfy the feature requests in:

Bug 462959 -  [LTC 6.0 FEAT] 201667:eHEA support for 16GB memory page
 Bug 462954 -  [LTC 6.0 FEAT] 201587:Enable eHEA with kdump support
Comment 3 IBM Bug Proxy 2009-03-05 12:50:34 EST
It is true that this driver update will satisfy the following as well.
Bug 462959 -  [LTC 6.0 FEAT] 201667:eHEA support for 16GB memory page
Bug 462954 -  [LTC 6.0 FEAT] 201587:Enable eHEA with kdump support

In fact, as things moving right now, we confirm that all of the HEA driver features are in the kernel 2.6.29 already. There is no need for any codedrops if RHEL6 takes kernel 2.6.29 or later. Therefore, all of the HEA feature requests are cancelled, including this one.

Thanks.
Comment 4 John Jarvis 2009-03-05 12:55:45 EST
The kernel level will be 2.6.30 at a minimum so we should be in good shape for these.
Comment 5 Kevin W Monroe 2009-09-23 18:18:49 EDT
Closing - included in Red Hat Enterprise Linux 6.

Note You need to log in before you can comment on or make changes to this bug.